import { httpRequest } from '@/services/http'

/**
 * 查询资讯
 */
export function querySiteColumnDetail(params: Model.SiteColumnDetailReq) {
    return httpRequest<Model.SiteColumnDetailRsp[]>('/WrTrade2/QuerySiteColumnDetail', 'get', params);
}

/**
 * 查询资讯栏目配置
 */
export function querySiteColumnConfig(params?: Model.SiteColumnConfigReq) {
    return httpRequest<Model.SiteColumnConfigRsp[]>('/WrTrade2/QuerySiteColumnConfig', 'get', params);
}

/**
 * 取资讯标题列表
 */
export function queryNewTitles(params: Model.NewTitlesReq) {
    return httpRequest<Model.NewTitlesRsp[]>('/Common/QueryNewTitles', 'get', params);
}

/**
 * 获取资讯内容
 */
export function queryNewContents(params: Model.NewContentsReq) {
    return httpRequest<Model.NewContentsRsp[]>('/Common/QueryNewContents', 'get', params);
}